Skip to main content
GET
/
user
/
leads
List leads
curl --request GET \
  --url https://app.botrep.ai/api/user/leads \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.botrep.ai/api/user/leads"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.botrep.ai/api/user/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "current_page": 1,
  "data": [
    {
      "id": 1,
      "campaign_id": 1,
      "phone_number": "+1234567890",
      "variables": {
        "customer_name": "John Doe",
        "email": "john.doe@example.com"
      },
      "status": "created",
      "created_at": "2025-06-30 11:18:04",
      "updated_at": "2025-06-30 11:18:04",
      "campaign": {
        "id": 1,
        "name": "My new campaign"
      },
      "secondary_contacts": [
        {
          "id": 2,
          "phone_number": "+1234567899",
          "variables": {
            "customer_name": "Jane Doe Secondary",
            "email": "jane.doe.secondary@example.com"
          },
          "status": "created",
          "created_at": "2025-06-30 11:18:04",
          "updated_at": "2025-06-30 11:18:04"
        }
      ]
    }
  ],
  "first_page_url": "https://app.botrep.ai/api/user/leads?page=1",
  "from": 1,
  "last_page": 10,
  "last_page_url": "https://app.botrep.ai/api/user/leads?page=10",
  "links": [
    {
      "url": null,
      "label": "&laquo; Previous",
      "active": false
    },
    {
      "url": "https://app.botrep.ai/api/user/leads?page=1",
      "label": "1",
      "active": true
    },
    {
      "url": "https://app.botrep.ai/api/user/leads?page=2",
      "label": "2",
      "active": false
    }
  ],
  "next_page_url": "https://app.botrep.ai/api/user/leads?page=2",
  "path": "https://app.botrep.ai/api/user/leads",
  "per_page": 15,
  "prev_page_url": null,
  "to": 15,
  "total": 150
}
This endpoint allows you to list all leads belonging to the authenticated user with various filtering and pagination options.

Query Parameters

status
string
Filter leads by status. Possible values: created, scheduled, processing, completed, rescheduled, reached-max-retries, blacklisted
campaign_id
integer
Filter leads by campaign ID
phone_number
string
Filter leads by phone number (partial match supported)
date_from
string
Filter leads created from this date (YYYY-MM-DD format)
date_to
string
Filter leads created until this date (YYYY-MM-DD format)
per_page
integer
Number of leads per page (1-100, default: 15)
page
integer
Page number (default: 1)

Response fields

data
array
current_page
integer
The current page number
per_page
integer
Number of items per page
total
integer
Total number of leads matching the criteria
last_page
integer
The last page number
{
  "current_page": 1,
  "data": [
    {
      "id": 1,
      "campaign_id": 1,
      "phone_number": "+1234567890",
      "variables": {
        "customer_name": "John Doe",
        "email": "john.doe@example.com"
      },
      "status": "created",
      "created_at": "2025-06-30 11:18:04",
      "updated_at": "2025-06-30 11:18:04",
      "campaign": {
        "id": 1,
        "name": "My new campaign"
      },
      "secondary_contacts": [
        {
          "id": 2,
          "phone_number": "+1234567899",
          "variables": {
            "customer_name": "Jane Doe Secondary",
            "email": "jane.doe.secondary@example.com"
          },
          "status": "created",
          "created_at": "2025-06-30 11:18:04",
          "updated_at": "2025-06-30 11:18:04"
        }
      ]
    }
  ],
  "first_page_url": "https://app.botrep.ai/api/user/leads?page=1",
  "from": 1,
  "last_page": 10,
  "last_page_url": "https://app.botrep.ai/api/user/leads?page=10",
  "links": [
    {
      "url": null,
      "label": "&laquo; Previous",
      "active": false
    },
    {
      "url": "https://app.botrep.ai/api/user/leads?page=1",
      "label": "1",
      "active": true
    },
    {
      "url": "https://app.botrep.ai/api/user/leads?page=2",
      "label": "2",
      "active": false
    }
  ],
  "next_page_url": "https://app.botrep.ai/api/user/leads?page=2",
  "path": "https://app.botrep.ai/api/user/leads",
  "per_page": 15,
  "prev_page_url": null,
  "to": 15,
  "total": 150
}